set_node_attr_with_selection {DiagrammeR} | R Documentation

## Set node attributes based on a selection of nodes

### Description

From a graph object of class `dgr_graph`, set node attribute properties for nodes available in a selection.

### Usage

    set_node_attr_with_selection(graph, node_attr, value)

### Arguments

`graph` | a graph object of class `dgr_graph` that is created using `create_graph`.
`node_attr` | the name of the attribute to set.
`value` | the value to be set for the chosen attribute for the chosen nodes.

### Value

either a graph object of class `dgr_graph`.

[Package DiagrammeR version 0.8.2 Index]